Subject: bug#48335: Emacs is broken

From: Leo Prikler <[email-masked]>
Date: Tue, 11 May 2021 00:39:17 +0200

Hi,

Am Montag, den 10.05.2021, 18:40 +0200 schrieb Xinglu Chen:
> Hi,
> 
> The ‘emacs’ package seems to be broken, I can reproduce this with
> 
> --8<---------------cut here---------------start------------->8---
> guix time-machine --commit=87b4b0e4385149b40ee87ae2d57712679452746b
> -- \
>      environment --pure --ad-hoc emacs -- emacs --version
> /gnu/store/as4fpcyq6qjngp6433w68v09x5znhh10-profile/bin/emacs: error
> while loading shared libraries: libm17n-core.so.0: cannot open shared
> object file: No such file or directory
> --8<---------------cut here---------------end--------------->8---
I can't:

--8<---------------cut here---------------start------------->8---
$ guix time-machine --commit=87b4b0e4385149b40ee87ae2d57712679452746b
-- \
     environment --pure --ad-hoc emacs -- emacs --version
GNU Emacs 27.2
Copyright (C) 2021 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.
--8<---------------cut here---------------end--------------->8---

As for the output of ldd:

libm17n-core.so.0 => /gnu/store/pdwv15zmghndkqy5473v1hxgibmvzvlz-m17n-
lib-1.8.0/lib/libm17n-core.so.0

> The latest “good” commit I know of is
> ee86a035c79b838e3fdabbdb88dc30906a83cc30 (still bisecting).
That'd be big if true, we've had the wip-emacs merge between then and
now and while that caused a lot of problems to many, it should still
open up.

Now, perhaps there's a case to be made, that it's in fact broken on
another architecture or when not using substitutes (it is not
reproducible after all), but atm we're lacking a bit of necessary info
here.

Regards,
Leo